Bug 201386 - [NEW PORT] devel/py-bandit: Tool designed to find common security issues in Python code
Summary: [NEW PORT] devel/py-bandit: Tool designed to find common security issues in P...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on: 204992
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-07 01:26 UTC by Yuri Victorovich
Modified: 2016-01-03 20:41 UTC (History)
3 users (show)

See Also:


Attachments
shar archive (1.82 KB, application/shar)
2015-07-07 01:26 UTC, Yuri Victorovich
no flags Details
poudriere log (9.95 KB, text/plain)
2015-07-07 01:27 UTC, Yuri Victorovich
no flags Details
Updated shar (1.79 KB, text/plain)
2015-07-07 05:15 UTC, Yuri Victorovich
no flags Details
shar archive (2.56 KB, application/shar)
2015-12-06 11:46 UTC, Yuri Victorovich
no flags Details
shar archive (2.57 KB, text/plain)
2015-12-06 12:13 UTC, Yuri Victorovich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2015-07-07 01:26:41 UTC
Created attachment 158448 [details]
shar archive
Comment 1 Yuri Victorovich freebsd_committer 2015-07-07 01:27:34 UTC
Created attachment 158449 [details]
poudriere log
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-07-07 04:52:58 UTC
Requested changes:

 * Remove 'designed' from COMMENT
 * GH_PROJECT not needed
 * Strip trailing slash from pkg-descr WWW: URL
 * Sort USE_PYTHON values
Comment 3 Yuri Victorovich freebsd_committer 2015-07-07 05:15:48 UTC
Created attachment 158468 [details]
Updated shar
Comment 4 Dmitry Marakasov freebsd_committer 2015-12-03 12:30:03 UTC
URLs redirect to openstack GH account, probably should be updated in the port.
Also, isn't security category more suitable for this?
Comment 5 Yuri Victorovich freebsd_committer 2015-12-03 12:39:26 UTC
koobs@ says that CHEESESHOP is always preferred for py- ports. I myself don't have a preference.

bandit-0.16.1 is available, I will update.
Comment 6 Yuri Victorovich freebsd_committer 2015-12-03 12:44:29 UTC
Pending devel/py-pbr update, I notified the maintainer.
Comment 7 Yuri Victorovich freebsd_committer 2015-12-06 11:46:50 UTC
Created attachment 163893 [details]
shar archive

Added patch that is now needed for some reason
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-06 11:52:39 UTC
Thanks Yuri, its probably worth re-confirming poudriere success on the latest
Comment 9 Yuri Victorovich freebsd_committer 2015-12-06 12:13:07 UTC
Created attachment 163894 [details]
shar archive

Now it passes poudriere.
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-06 12:22:59 UTC
@Yuri <3
Comment 11 commit-hook freebsd_committer 2016-01-03 20:40:56 UTC
A commit references this bug:

Author: pi
Date: Sun Jan  3 20:40:51 UTC 2016
New revision: 405184
URL: https://svnweb.freebsd.org/changeset/ports/405184

Log:
  New port: devel/py-bandit

  Bandit is a tool for finding common security issues in Python code.
  To do this Bandit processes each file, builds an AST from it, and runs
  appropriate plugins against the AST nodes. Once Bandit has finished scanning
  all the files it generates a report.

  WWW: https://github.com/stackforge/bandit

  PR:		201386
  Submitted by:	yuri@rawbw.com
  Reviewed by:	koobs

Changes:
  head/devel/Makefile
  head/devel/py-bandit/
  head/devel/py-bandit/Makefile
  head/devel/py-bandit/distinfo
  head/devel/py-bandit/files/
  head/devel/py-bandit/files/patch-setup.cfg
  head/devel/py-bandit/pkg-descr
Comment 12 Kurt Jaeger freebsd_committer 2016-01-03 20:41:26 UTC
Committed, thanks